Subject: Stephen Farrell's Yes on draft-ietf-6man-default-iids-16: (with COMMENT)

From: "Stephen Farrell" <[email-masked]>
Date: Tue, 13 Dec 2016 14:18:10 -0800

Stephen Farrell has entered the following ballot position for
draft-ietf-6man-default-iids-16: Yes

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-6man-default-iids/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

- (used to be a discuss, just not a great one;-) 
Is this clear enough that it is not replacing temporary
addresses, and in saying when one ought use those vs. when
one ought use 7217? I'm not sure TBH, but, for me, this
text reads a bit too much as "use 7217 and not temporary
addresses" except for in the place where it says "For
example, this document does not change any existing
recommendations concerning the use of temporary addresses
as specified in [RFC4941],..." So my question is: does
this document need more clarity as to when to use 7217 and
when to use 4941? I suspect it probably does need a more
clear statement about that, if we think we can reach
consensus on what that ought say;-)

- section 3: is it correct to say "In particular, this
document RECOMMENDS that nodes do not generate stable
IIDs..." or do you really mean that nodes SHOULD NOT emit
packets with <those> in source addresses? IOW, do you mean
that nodes SHOULD NOT respond to packets addressed to
addresses using stable IIDs? I'm not clear from the text,
but am fine with either though I guess that could cause a
problem somewhere maybe.